Page MenuHomePhabricator

Blacklist IME from Captcha and username field for user registration, to enter Latin letters
Closed, ResolvedPublic

Description

or.wikipedia.org/w/index.php?title=Special:UserLogin&type=signup

Please blacklist narayam from Captcha & username fields so that when new user who is create account will not be in trouble with these complications..


Version: unspecified
Severity: minor
Whiteboard: feature
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=5309

Attached:

Details

Reference
bz41675

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:05 AM
bzimport set Reference to bz41675.
Odisha1 created this task.Nov 2 2012, 7:36 AM

(In reply to comment #0)

Created attachment 11287 [details]
or.wikipedia.org/w/index.php?title=Special:UserLogin&type=signup
Please blacklist narayam from Captcha & username fields so that when new user
who is create account will not be in trouble with these complications..

Just to elaborate this; when Narayam is enabled Captcha and Username should not be affected and the user should be able to type in English as there is no need for Odia for Captcha and Username i.e. when you enable Narayam and type in the Captcha and Username fields you should be able to type in English and not Odia.

Attached:

  • Bug 42959 has been marked as a duplicate of this bug. ***

This seems to be solved by UniversalLanguageSelector, which adds an icon to select the input method directly from the field: try for instance https://translatewiki.net/wiki/Special:UserLogin/signup

Arrbee added a comment.Mar 1 2013, 1:16 PM

(In reply to comment #3)

This seems to be solved by UniversalLanguageSelector, which adds an icon to
select the input method directly from the field:

If I understand correctly, the requirement is to completely disable the input method for the User Registration, Username and Captcha fields. Considering bug #5309, I am moving this bug to UniversalLanguageSelector for further discussion.

You can disable IME for a specific field by adding the "noime" class to the HTML field.

(In reply to comment #5)

You can disable IME for a specific field by adding the "noime" class to the
HTML field.

This has to made default. A new user should not be troubled to change the typing scheme for username/password/captcha only.

(In reply to comment #6)

This has to made default. A new user should not be troubled to change the
typing scheme for username/password/captcha only.

You're making two assumptions here:

  1. the captcha/whatever is in English letters,
  2. the user has English keyboard.

(1) is currently valid for Wikimedia's captchas and perhaps of most FancyCaptcha implementations, but not for all captchas and not for usernames and passwords; (2) seems quite wrong.

Perhaps there should be a configuration for ConfirmEdit which can add that noime class to the captcha field in the unfortunate cases when the captcha is English-only (but then, what happens if the user doesn't have English keyboard?).

Related URL: https://gerrit.wikimedia.org/r/68339 (Gerrit Change Ib03a20c50a4f473e6a58638b85da16659268eb09)

Change 68339 merged by jenkins-bot:
Allow disabling of IME by a jQuery selector

https://gerrit.wikimedia.org/r/68339

Captcha field has been blacklisted. Can this bug be considered fixed now?

For a new user in or.*, the default input method is native keyboard now. Unless the user explicitly select an input method, user can type in latin.

Captcha field is blacklisted.